Kerbal Space Program - Bug #25826

Renaming a comet makes sample contract impossible to complete.
07/22/2020 08:00 AM - Dunbaratu

Status: Resolved Start date: 07/22/2020
Severity: Low % Done: 100%
Assignee:

Category: Contracts

Target version: 1.11.0

Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

(Possibly caused by the same bug as issue #25825)

When you get a contract asking for a surface sample from a comet, the contract's conditions seem to test the comet name the
sample came from, not the comet ID it came from, or at least that's what appears to be happening.

Because | renamed the comet before taking the surface sample, and the contract refused to complete. But when | went back to the
comet, renamed it back to what it was called before, and took a second surface sample after it was thusly named back, this second
surface sample was able to complete the contract.

History

#1 - 07/25/2020 10:44 PM - Dunbaratu

- Subject changed from Surface sample from Comet contracts fail to account for renaming a comet. to Renaming a comet makes sample contract
impossible to complete.

#3 - 12/17/2020 08:54 PM - victorr
- Status changed from New to Ready to Test
- Target version setto 1.11.0

- % Done changed from 0 to 80

We've made some changes to the game in this latest version and would like to have some feedback on this issue. Thanks.

#4 - 08/16/2021 04:45 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

This should now be resolved. Please report and link to this bug if it isn't, or if you find any similar bugs.
